Bug 477276 - Plugins go missing when launching Firefox from certain applications
Summary: Plugins go missing when launching Firefox from certain applications
Keywords:
Status: CLOSED DUPLICATE of bug 437596
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-19 23:40 UTC by Florian Fahr
Modified: 2018-04-11 10:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-20 13:41:29 UTC


Attachments (Terms of Use)

Description Florian Fahr 2008-12-19 23:40:23 UTC
Description of problem:
Strange bug ahead: Whenever I launch Firefox by clicking a link in Evolution or Liferea Firefox doesn't load any plugins, which means that it can't display any multimedia content and the "Tools"->"Add-ons"->"Plugins" table is empty. It took me two releases of Fedora to figure out how to reproduce this, because this seems pretty random at first. Exiting Firefox and launching it from the Gnome Panel will bring them back.

I cannot tell why it only these two apps that produce this behavior (maybe there's more, but I didn't find any, yet).

Version-Release number of selected component (if applicable):
3.0.4

How reproducible:
Always

Steps to Reproduce:
1. Keep Firefox closed
2. Open a link in Evolution with Firefox set as default browser
3. Behold
  
Actual results:
The plugin list is empty

Expected results:
The plugin list shouldn't be empty.

Additional info:
I've been having this issue since first switching from a completely different distribution (Debian-based) to Fedora 9.

Comment 1 Matěj Cepl 2008-12-20 13:41:29 UTC
This is the problem with registration of firefox, instead of /usr/bin/firefox you have set up as browser /usr/lib*/firefox*/firefox. Run /usr/bin/gnome-default-applications-properties and check that your have set up default Firefox or at least /usr/bin/firefox.

*** This bug has been marked as a duplicate of bug 437596 ***


Note You need to log in before you can comment on or make changes to this bug.